---
title:  'Generate WR Starting Kit Documentation'
subtitle: "How to generate starting kit pdf from markdown using pandoc"
author: Seven Solutions
...


Intro
==========


The document has been written in markdown format and can be directly
read from github, gitlab or bitbucket



PDF Generation
===============

You might need to install `pandoc` software to generate `.pdf` from `.md`.

	sudo apt-get install pandoc

To generate a specific document you should enter its own directory and execute

	make

If you have some Latex compilation error please install the following packages

	sudo apt-get install texlive texlive-latex-extra

### pandoc.latex

The file pandoc.latex is a latex template in order to add all special latex customization
to the markdown file. In case some of latex package are not working properly, the user
should try to modify this file.


Syntax
===========

> ***NOTES:*** The syntax used in this document is Markdown. We recommand to follow the strict
markdown syntax explained on [bitbucket](https://bitbucket.org/tutorials/markdowndemo). 

Misc
======

Dirty tags
--------------

During compilation of `fmc-bus` kernel, the Make generated files that should be .gitignore.
If you want to clean the tags of the repos you can use the following command to manually clean
everything:

~~~~~{.bash}
### Find dirty files:
git submodule foreach --recursive git status

### Remove them
find ./ -wholename "*fmc-bus/kernel/.cache.mk" -delete
find ./ -wholename "*fmc-bus/kernel/fmc-chardev.o.ur-safe" -delete
~~~~~~~~


